/*
 * The contents of this file are subject to the Mozilla Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 * The Original Code is ForumZilla 0.1.1.
 *
 * The Initial Developer of the Original Code is Zapogee, Inc.
 * Portions created by Zapogee, Inc. are Copyright (C) 2001
 * Zapogee, Inc.  All Rights Reserved.
 *
 * Contributor(s):
 *   Myk Melez, <myk@melez.com>, original author
 */

// XXX get these from the feed service instead of defining them again here
const DEFAULT_POLLING_INTERVAL = 30;

const FOLDER_STORAGE_MODE = 0;
const SUBFOLDERS_STORAGE_MODE = 1;
const DEFAULT_STORAGE_MODE = FOLDER_STORAGE_MODE;

// Default folder into which to store items.
const DEFAULT_STORAGE_FOLDER = "mailbox://nobody@Local%20Folders/Feeds";

function loadPrefs() {
    document.getElementById("polling.interval").value =
        nsPreferences.getIntPref("forumzilla.polling.interval", DEFAULT_POLLING_INTERVAL);

    // Setting the selected index of the radio group to the storage mode only works
    // as long as the radio buttons are in the same order as the storage modes.
    document.getElementById("storage.mode").selectedIndex =
        nsPreferences.getIntPref("forumzilla.storage.mode", DEFAULT_STORAGE_MODE);

    SetFolderPicker(nsPreferences.copyUnicharPref("forumzilla.storage.folder", DEFAULT_STORAGE_FOLDER),
                    'actionTargetFolder');
}

function savePrefs() {
    nsPreferences.setIntPref("forumzilla.polling.interval",
                             document.getElementById("polling.interval").value);
    nsPreferences.setIntPref("forumzilla.storage.mode",
                             document.getElementById("storage.mode").value);
    nsPreferences.setUnicharPref("forumzilla.storage.folder",
                                 document.getElementById('actionTargetFolder').getAttribute('uri'));
}
